# 机构评级

`GET` `/v1/quote/institution-rating-latest`

获取分析师机构评级快照（评级分布及平均目标价）。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 证券代码，例如 `TSLA.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/institution-rating-latest?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `evaluate` | object | No | 分析师评级分布。 |
| `└ buy` | integer | No | 买入评级数。 |
| `└ over` | integer | No | 增持评级数。 |
| `└ hold` | integer | No | 持有评级数。 |
| `└ under` | integer | No | 减持评级数。 |
| `└ sell` | integer | No | 卖出评级数。 |
| `└ total` | integer | No | 评级总数。 |
| `└ start_date` | string | No | 统计起始时间（Unix 秒）。 |
| `└ end_date` | string | No | 统计结束时间（Unix 秒）。 |
| `└ no_opinion` | integer | No | 无观点的分析师数。 |
| `target` | object | No | 目标价一致预期。 |
| `└ highest_price` | string | No | 最高目标价。 |
| `└ lowest_price` | string | No | 最低目标价。 |
| `└ prev_close` | string | No | 前收盘价。 |
| `└ start_date` | string | No | 统计起始时间（Unix 秒）。 |
| `└ end_date` | string | No | 统计结束时间（Unix 秒）。 |
| `industry_id` | integer | No | 行业 ID。 |
| `industry_name` | string | No | 行业名称。 |
| `industry_rank` | integer | No | 标的在行业内的排名。 |
| `industry_total` | integer | No | 行业内标的总数。 |
| `industry_mean` | integer | No | 行业平均评级排名。 |
| `industry_median` | integer | No | 行业评级排名中位数。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "latest": {
      "evaluate": {
        "buy": 18,
        "hold": 17,
        "sell": 4,
        "no_opinion": 4,
        "over": 5,
        "under": 3,
        "total": 51,
        "start_date": "1778198400",
        "end_date": "0"
      },
      "industry_id": 87676,
      "industry_mean": 10,
      "industry_median": 4,
      "industry_name": "Automobiles",
      "industry_rank": 1,
      "industry_total": 30,
      "target": {
        "highest_price": "600.000",
        "lowest_price": "123.000",
        "prev_close": "428.35",
        "start_date": "1778198400",
        "end_date": "0"
      }
    },
    "summary": {
      "ccy_symbol": "$",
      "change": "0",
      "recommend": "Buy",
      "updated_at": "1778198400",
      "evaluate": {
        "buy": 18,
        "hold": 17,
        "sell": 4
      },
      "target": {
        "average_target": "350.00",
        "highest_price": "600.000",
        "lowest_price": "123.000"
      }
    }
  }
}
```
